Index: mythmusic/i18n/mythmusic_sv.ts
===================================================================
--- mythmusic/i18n/mythmusic_sv.ts	(revision 19937)
+++ mythmusic/i18n/mythmusic_sv.ts	(working copy)
@@ -1204,7 +1184,6 @@
         <translation>Byt visualisering efter varje låt</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>Change the visualizer when the song change.</source>
         <translation type="obsolete">Byt visualisering när låten byts.</translation>
     </message>
@@ -1229,42 +1208,34 @@
         <translation>Visualiseringar</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>List of visualizations to use during playback. Possible values are space-separated list of </source>
         <translation type="obsolete">Lista med visualiseringar som skall användas vid avspelning. Möjliga värden är en mellanslagseparerad lista av </translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>MonoScope</source>
         <translation type="obsolete">MonoScope</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>StereoScope</source>
         <translation type="obsolete">StereoScope</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>Spectrum</source>
         <translation type="obsolete">Spectrum</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>Goom</source>
         <translation type="obsolete">Goom</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>Synaesthesia</source>
         <translation type="obsolete">Synaesthesia</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>Gears</source>
         <translation type="obsolete">Gears</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>Blank</source>
         <translation type="obsolete">Blank</translation>
     </message>
@@ -1299,7 +1270,6 @@
         <translation>Grundinställning för kvalitet vid CD-kopiering.</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>General Settings</source>
         <translation type="obsolete">Generella inställningar</translation>
     </message>
@@ -1321,7 +1291,7 @@
     <message>
         <location filename="../mythmusic/maddecoder.cpp" line="572"/>
         <source>MPEG Layer 1/2/3 Audio (MAD decoder)</source>
-        <translation>MPEG Lager 1/2/3 Ljud (MAD dekoder)</translation>
+        <translation type="obsolete">MPEG Lager 1/2/3 Ljud (MAD dekoder)</translation>
     </message>
     <message>
         <location filename="../mythmusic/metadata.cpp" line="985"/>
@@ -1409,7 +1379,6 @@
         <translation>Körde du konfigureringen?</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>and</source>
         <translation type="obsolete">och</translation>
     </message>
@@ -1551,12 +1520,12 @@
         <translation>Välj SCSI- eller IDE-enhet för CD-bränning.</translation>
     </message>
     <message>
-        <location filename="../mythmusic/playbackbox.cpp" line="1016"/>
+        <location filename="../mythmusic/playbackbox.cpp" line="1019"/>
         <source>Rebuilding music tree</source>
         <translation>Återuppbygger musikträd</translation>
     </message>
     <message>
-        <location filename="../mythmusic/playbackbox.cpp" line="1141"/>
+        <location filename="../mythmusic/playbackbox.cpp" line="1144"/>
         <source>Loading Music</source>
         <translation>Laddar musik</translation>
     </message>
@@ -1576,7 +1545,7 @@
         <translation>Okänd titel</translation>
     </message>
     <message>
-        <location filename="../mythmusic/cdrip.cpp" line="179"/>
+        <location filename="../mythmusic/cdrip.cpp" line="178"/>
         <source>Importing </source>
         <translation>Importerar </translation>
     </message>
@@ -1776,70 +1745,74 @@
         <translation>Specificera vilken åtgärd som skall ske när mythmusic pluginet avslutas.</translation>
     </message>
     <message>
-        <location filename="../mythmusic/avfdecoder.cpp" line="389"/>
+        <location filename="../mythmusic/aacdecoder.cpp" line="701"/>
         <source>Windows Media Audio</source>
-        <translation type="unfinished"></translation>
+        <translation>Windows media ljud</translation>
     </message>
     <message>
         <location filename="../mythmusic/cddecoder-darwin.cpp" line="424"/>
         <source>OSX Audio CD mount parser</source>
-        <translation type="unfinished"></translation>
+        <translation>OSX Ljud CD monteringsparser</translation>
     </message>
     <message>
         <location filename="../mythmusic/cddecoder-windows.cpp" line="108"/>
         <source>Windows CD parser</source>
-        <translation type="unfinished"></translation>
+        <translation>Windows CD parser</translation>
     </message>
     <message>
-        <location filename="../mythmusic/filescanner.cpp" line="335"/>
+        <location filename="../mythmusic/filescanner.cpp" line="333"/>
         <source>Cleaning music database</source>
-        <translation type="unfinished"></translation>
+        <translation>Rensar musikdatabasen</translation>
     </message>
     <message>
         <location filename="../mythmusic/importmusic.cpp" line="509"/>
         <source>Searching for music files</source>
-        <translation type="unfinished"></translation>
+        <translation>Söker musikfiler</translation>
     </message>
     <message>
-        <location filename="../mythmusic/filescanner.cpp" line="566"/>
+        <location filename="../mythmusic/filescanner.cpp" line="564"/>
         <source>Updating music database</source>
-        <translation type="unfinished"></translation>
+        <translation>Uppdaterar musikdatabasen</translation>
     </message>
     <message>
-        <location filename="../mythmusic/filescanner.cpp" line="636"/>
+        <location filename="../mythmusic/filescanner.cpp" line="634"/>
         <source>Scanning music files</source>
-        <translation type="unfinished"></translation>
+        <translation>Scannar musikfiler</translation>
     </message>
     <message>
-        <location filename="../mythmusic/filescanner.cpp" line="707"/>
+        <location filename="../mythmusic/filescanner.cpp" line="705"/>
         <source>Scanning Album Artwork</source>
-        <translation type="unfinished"></translation>
+        <translation>Scannar albumomslag</translation>
     </message>
     <message>
         <location filename="../mythmusic/treebuilders.cpp" line="275"/>
         <source>Artists</source>
-        <translation type="unfinished"></translation>
+        <translation>Artister</translation>
     </message>
+    <message>
+        <location filename="../mythmusic/avfdecoder.cpp" line="449"/>
+        <source>Internal Decoder</source>
+        <translation>Intern avkodare</translation>
+    </message>
 </context>
 <context>
     <name>RipStatus</name>
     <message>
-        <location filename="" line="0"/>
         <source>Stop Rip?</source>
         <translation type="obsolete">Stoppa kopiering?</translation>
     </message>
     <message>
-        <location filename="../mythmusic/cdrip.cpp" line="1579"/>
+        <location filename="../mythmusic/cdrip.cpp" line="1578"/>
         <source>Are you sure you want to cancel ripping the CD?</source>
         <translation>Är du säker på att du vill avbryta CD-kopieringen?</translation>
     </message>
     <message>
-        <location filename="../mythmusic/cdrip.cpp" line="1584"/>
+        <location filename="../mythmusic/cdrip.cpp" line="1583"/>
         <source>Cancelled by the user</source>
         <translation>Avbruten av användaren</translation>
     </message>
     <message>
-        <location filename="../mythmusic/cdrip.cpp" line="1664"/>
+        <location filename="../mythmusic/cdrip.cpp" line="1663"/>
         <source>The encoder failed to create the file.
 Do you have write permissions for the music directory?</source>
         <translation>Kodaren misslyckades att skapa fil. Har du skriv tillåtelse för musik katalogen?</translation>
@@ -1848,42 +1821,42 @@
 <context>
     <name>Ripper</name>
     <message>
-        <location filename="../mythmusic/cdrip.cpp" line="466"/>
+        <location filename="../mythmusic/cdrip.cpp" line="465"/>
         <source>Low</source>
         <translation>Låg</translation>
     </message>
     <message>
-        <location filename="../mythmusic/cdrip.cpp" line="467"/>
+        <location filename="../mythmusic/cdrip.cpp" line="466"/>
         <source>Medium</source>
         <translation>Medium</translation>
     </message>
     <message>
-        <location filename="../mythmusic/cdrip.cpp" line="468"/>
+        <location filename="../mythmusic/cdrip.cpp" line="467"/>
         <source>High</source>
         <translation>Hög</translation>
     </message>
     <message>
-        <location filename="../mythmusic/cdrip.cpp" line="469"/>
+        <location filename="../mythmusic/cdrip.cpp" line="468"/>
         <source>Perfect</source>
         <translation>Perfekt</translation>
     </message>
     <message>
-        <location filename="../mythmusic/cdrip.cpp" line="537"/>
+        <location filename="../mythmusic/cdrip.cpp" line="536"/>
         <source>Switch Titles</source>
         <translation>Växla titlar</translation>
     </message>
     <message>
-        <location filename="../mythmusic/cdrip.cpp" line="545"/>
+        <location filename="../mythmusic/cdrip.cpp" line="544"/>
         <source>Scan CD</source>
         <translation>Sök CD</translation>
     </message>
     <message>
-        <location filename="../mythmusic/cdrip.cpp" line="553"/>
+        <location filename="../mythmusic/cdrip.cpp" line="552"/>
         <source>Rip CD</source>
         <translation>Kopiera CD</translation>
     </message>
     <message>
-        <location filename="../mythmusic/cdrip.cpp" line="754"/>
+        <location filename="../mythmusic/cdrip.cpp" line="753"/>
         <source>Artist: %1
 Album: %2
 Track: %3
@@ -1898,52 +1871,51 @@
 Vill du ta bort det existerande spåret?</translation>
     </message>
     <message>
-        <location filename="../mythmusic/cdrip.cpp" line="1216"/>
+        <location filename="../mythmusic/cdrip.cpp" line="1215"/>
         <source>No tracks</source>
         <translation>Inga spår</translation>
     </message>
     <message>
-        <location filename="../mythmusic/cdrip.cpp" line="1217"/>
+        <location filename="../mythmusic/cdrip.cpp" line="1216"/>
         <source>There are no tracks to rip?</source>
         <translation>Det finns inga spår att kopiera?</translation>
     </message>
     <message>
-        <location filename="../mythmusic/cdrip.cpp" line="1230"/>
+        <location filename="../mythmusic/cdrip.cpp" line="1229"/>
         <source>Success</source>
         <translation>Klar</translation>
     </message>
     <message>
-        <location filename="../mythmusic/cdrip.cpp" line="1231"/>
+        <location filename="../mythmusic/cdrip.cpp" line="1230"/>
         <source>Rip completed successfully.</source>
         <translation>Kopiering lyckades.</translation>
     </message>
     <message>
-        <location filename="../mythmusic/cdrip.cpp" line="1250"/>
+        <location filename="../mythmusic/cdrip.cpp" line="1249"/>
         <source>Ejecting CD. Please Wait ...</source>
         <translation>Matar ut CD. Vänta...</translation>
     </message>
     <message>
-        <location filename="../mythmusic/cdrip.cpp" line="1400"/>
+        <location filename="../mythmusic/cdrip.cpp" line="1399"/>
         <source>Select an Artist</source>
         <translation>Välj en artist</translation>
     </message>
     <message>
-        <location filename="../mythmusic/cdrip.cpp" line="1415"/>
+        <location filename="../mythmusic/cdrip.cpp" line="1414"/>
         <source>Select an Album</source>
         <translation>Välj ett album</translation>
     </message>
     <message>
-        <location filename="../mythmusic/cdrip.cpp" line="1433"/>
+        <location filename="../mythmusic/cdrip.cpp" line="1432"/>
         <source>Select a Genre</source>
         <translation>Byt titlar</translation>
     </message>
     <message>
-        <location filename="" line="0"/>
         <source>Encoding Failed</source>
         <translation type="obsolete">Kodningen misslyckades</translation>
     </message>
     <message>
-        <location filename="../mythmusic/cdrip.cpp" line="1239"/>
+        <location filename="../mythmusic/cdrip.cpp" line="1238"/>
         <source>Encoding failed with the following error:-
 
 </source>
@@ -1955,22 +1927,22 @@
     <message>
         <location filename="../mythmusic/search.cpp" line="19"/>
         <source>Search Music Database</source>
-        <translation type="unfinished"></translation>
+        <translation>Sök musikdatabasen</translation>
     </message>
     <message>
         <location filename="../mythmusic/search.cpp" line="49"/>
         <source>OK</source>
-        <translation type="unfinished">OK</translation>
+        <translation>OK</translation>
     </message>
     <message>
         <location filename="../mythmusic/search.cpp" line="50"/>
         <source>Cancel</source>
-        <translation type="unfinished">Avbryt</translation>
+        <translation>Avbryt</translation>
     </message>
     <message>
         <location filename="../mythmusic/search.cpp" line="222"/>
         <source>Search Music Database (%1 matches)</source>
-        <translation type="unfinished"></translation>
+        <translation>Sök musikdatabasen (%1 träffar)</translation>
     </message>
 </context>
 <context>
@@ -1998,7 +1970,7 @@
     <message>
         <location filename="../mythmusic/smartplaylist.cpp" line="682"/>
         <source>Select a Compilation Artist</source>
-        <translation>Välj en kompileringsartist</translation>
+        <translation>Välj en artistsamling</translation>
     </message>
 </context>
 <context>
@@ -2334,7 +2306,6 @@
 <context>
     <name>ThemeUI</name>
     <message>
-        <location filename="" line="0"/>
         <source>Please Wait...</source>
         <translation type="obsolete">Vänta...</translation>
     </message>
@@ -2391,7 +2362,7 @@
     <message>
         <location filename="themestrings.h" line="39"/>
         <source>Compilation:</source>
-        <translation>Kompilering:</translation>
+        <translation>Samling:</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="38"/>
@@ -2401,152 +2372,147 @@
     <message>
         <location filename="themestrings.h" line="2"/>
         <source>Please Wait ...</source>
-        <translation type="unfinished"></translation>
+        <translation>Vänligen vänta...</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="40"/>
         <source>Comp. Artist:</source>
-        <translation type="unfinished"></translation>
+        <translation>Komp.artist:</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="16"/>
         <source>Album Art</source>
-        <translation type="unfinished">Album typ</translation>
+        <translation>Album typ</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="17"/>
         <source>No Album Art Found</source>
-        <translation type="unfinished"></translation>
+        <translation>Inget album omslag hittades</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="19"/>
         <source>Type:</source>
-        <translation type="unfinished"></translation>
+        <translation>Typ:</translation>
     </message>
     <message>
-        <location filename="themestrings.h" line="21"/>
-        <source></source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
         <location filename="themestrings.h" line="22"/>
         <source>Please select a quality level and check the album information below:</source>
-        <translation type="unfinished"></translation>
+        <translation>Vänligen markera kvalitetsnivån och kontrollera album informationen nedanför:</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="23"/>
         <source>Quality:</source>
-        <translation type="unfinished"></translation>
+        <translation>Kvalitet:</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="27"/>
         <source>Multi-Artist:</source>
-        <translation type="unfinished"></translation>
+        <translation>Multi-Artist:</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="56"/>
         <source>Track</source>
-        <translation type="unfinished"></translation>
+        <translation>Låt</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="53"/>
         <source>Title</source>
-        <translation type="unfinished">Titel</translation>
+        <translation>Titel</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="51"/>
         <source>Artist</source>
-        <translation type="unfinished">Artist</translation>
+        <translation>Artist</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="32"/>
         <source>Length</source>
-        <translation type="unfinished"></translation>
+        <translation>Längd</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="33"/>
         <source>Rip CD</source>
-        <translation type="unfinished">Kopiera CD</translation>
+        <translation>Kopiera CD</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="34"/>
         <source>Importing CD</source>
-        <translation type="unfinished"></translation>
+        <translation>Importerar CD</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="35"/>
         <source>Encoding Track</source>
-        <translation type="unfinished"></translation>
+        <translation>Omkoda låt</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="36"/>
         <source>Import Music</source>
-        <translation type="unfinished"></translation>
+        <translation>Importera musik</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="58"/>
         <source>Location:</source>
-        <translation type="unfinished"></translation>
+        <translation>Plats:</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="65"/>
         <source>123 of 345</source>
-        <translation type="unfinished"></translation>
+        <translation>123 av 345</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="66"/>
         <source>All ready in database</source>
-        <translation type="unfinished"></translation>
+        <translation>Allt färdigt i databasen</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="64"/>
         <source>/some/file/goes/here/test.mp3</source>
-        <translation type="unfinished"></translation>
+        <translation>/some/file/goes/here/test.mp3</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="50"/>
         <source>Compilation Artist</source>
-        <translation type="unfinished"></translation>
+        <translation>Artistsamling</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="52"/>
         <source>Album</source>
-        <translation type="unfinished">Album</translation>
+        <translation>Album</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="54"/>
         <source>Genre</source>
-        <translation type="unfinished">Genre</translation>
+        <translation>Genre</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="55"/>
         <source>Year</source>
-        <translation type="unfinished">År</translation>
+        <translation>År</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="57"/>
         <source>Directory Finder</source>
-        <translation type="unfinished"></translation>
+        <translation>Katalogsökare</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="59"/>
         <source>Import Cover Art</source>
-        <translation type="unfinished"></translation>
+        <translation>Importera omslagstyp</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="60"/>
         <source>File:</source>
-        <translation type="unfinished"></translation>
+        <translation>Fil:</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="61"/>
         <source>Destination:</source>
-        <translation type="unfinished"></translation>
+        <translation>Destination:</translation>
     </message>
     <message>
         <location filename="themestrings.h" line="62"/>
         <source>Image Type:</source>
-        <translation type="unfinished"></translation>
+        <translation>Bildtyp:</translation>
     </message>
 </context>
 <context>
